## AgsFxNotationAudio

AgsFxNotationAudio — fx notation audio

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_fx_notation_audio_test_flags ()
void | ags_fx_notation_audio_set_flags ()
void | ags_fx_notation_audio_unset_flags ()
gboolean | ags_fx_notation_audio_get_pattern_mode ()
void | ags_fx_notation_audio_set_pattern_mode ()
gboolean | ags_fx_notation_audio_get_note_256th_mode ()
void | ags_fx_notation_audio_set_note_256th_mode ()
GList * | ags_fx_notation_audio_get_feed_note ()
void | ags_fx_notation_audio_add_feed_note ()
void | ags_fx_notation_audio_remove_feed_note ()
AgsFxNotationAudio * | ags_fx_notation_audio_new ()

## Properties

AgsPort * | bpm | Read / Write
AgsPort * | delay | Read / Write
AgsPort * | duration | Read / Write
AgsPort * | loop | Read / Write
AgsPort * | loop-end | Read / Write
AgsPort * | loop-start | Read / Write
AgsPort * | tact | Read / Write

## Types and Values

#define | AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_START
#define | AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_END
enum | AgsFxNotationAudioFlags

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxNotationAudio
                    ├── AgsFxDssiAudio
                    ├── AgsFxFMSynthAudio
                    ├── AgsFxLv2Audio
                    ├── AgsFxRavenSynthAudio
                    ├── AgsFxSeqSynthAudio
                    ├── AgsFxSF2SynthAudio
                    ├── AgsFxSFZSynthAudio
                    ├── AgsFxStarSynthAudio
                    ╰── AgsFxSynthAudio

## Includes

    #include <ags/audio/fx/ags_fx_notation_audio.h>

## Description

The AgsFxNotationAudio class provides ports to the effect processor.

## Functions

### ags_fx_notation_audio_test_flags ()

    gboolean
    ags_fx_notation_audio_test_flags (AgsFxNotationAudio *fx_notation_audio,
                                      guint flags);

Test `flags` of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
flags | the flags |

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.3.0

### ags_fx_notation_audio_set_flags ()

    void
    ags_fx_notation_audio_set_flags (AgsFxNotationAudio *fx_notation_audio,
                                     guint flags);

Set `flags` of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
flags | the flags |

Since: 3.3.0

### ags_fx_notation_audio_unset_flags ()

    void
    ags_fx_notation_audio_unset_flags (AgsFxNotationAudio *fx_notation_audio,
                                       guint flags);

Unset `flags` of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
flags | the flags |

Since: 3.3.0

### ags_fx_notation_audio_get_pattern_mode ()

    gboolean
    ags_fx_notation_audio_get_pattern_mode
                                   (AgsFxNotationAudio *fx_notation_audio);

Get pattern mode of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |

#### Returns

`TRUE` if pattern mode, otherwise `FALSE`

Since: 3.3.0

### ags_fx_notation_audio_set_pattern_mode ()

    void
    ags_fx_notation_audio_set_pattern_mode
                                   (AgsFxNotationAudio *fx_notation_audio,
                                    gboolean pattern_mode);

Set `pattern_mode` of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
pattern_mode | `TRUE` if pattern mode, otherwise `FALSE` |

Since: 3.3.0

### ags_fx_notation_audio_get_note_256th_mode ()

    gboolean
    ags_fx_notation_audio_get_note_256th_mode
                                   (AgsFxNotationAudio *fx_notation_audio);

Get note 256th mode of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_fx_notation_audio_set_note_256th_mode ()

    void
    ags_fx_notation_audio_set_note_256th_mode
                                   (AgsFxNotationAudio *fx_notation_audio,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
note_256th_mode | `TRUE` if note 256th mode, otherwise `FALSE` |

Since: 6.1.0

### ags_fx_notation_audio_get_feed_note ()

    GList *
    ags_fx_notation_audio_get_feed_note (AgsFxNotationAudio *fx_notation_audio);

Get feed note of `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |

#### Returns

the GList containing feed note.

[element-type AgsAudio.Note][transfer full]

Since: 3.3.0

### ags_fx_notation_audio_add_feed_note ()

    void
    ags_fx_notation_audio_add_feed_note (AgsFxNotationAudio *fx_notation_audio,
                                         AgsNote *note);

Add `note` to `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
note | the AgsNote |

Since: 3.3.0

### ags_fx_notation_audio_remove_feed_note ()

    void
    ags_fx_notation_audio_remove_feed_note
                                   (AgsFxNotationAudio *fx_notation_audio,
                                    AgsNote *note);

Remove `note` from `fx_notation_audio` .

#### Parameters

fx_notation_audio | the AgsFxNotationAudio |
note | the AgsNote |

Since: 3.3.0

### ags_fx_notation_audio_new ()

    AgsFxNotationAudio *
    ags_fx_notation_audio_new (AgsAudio *audio);

Create a new instance of AgsFxNotationAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxNotationAudio

Since: 3.3.0

## Types and Values

### AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_START

    #define AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_START (0)

### AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_END

    #define AGS_FX_NOTATION_AUDIO_DEFAULT_LOOP_END (64)

### enum AgsFxNotationAudioFlags

Enum values to enable specific feature of AgsFxNotationAudio.

#### Members

AGS_FX_NOTATION_AUDIO_PLAY | do play notation |
AGS_FX_NOTATION_AUDIO_RECORD | do record notation |
AGS_FX_NOTATION_AUDIO_FEED | do feed note |

## Property Details

### The `“bpm”` property

      “bpm”                      AgsPort *

The beats per minute.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“delay”` property

      “delay”                    AgsPort *

The notation's delay.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“duration”` property

      “duration”                 AgsPort *

The notation's duration.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop”` property

      “loop”                     AgsPort *

Do loop.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-end”` property

      “loop-end”                 AgsPort *

The notation's loop-end.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“loop-start”` property

      “loop-start”               AgsPort *

The notation's loop-start.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0

### The `“tact”` property

      “tact”                     AgsPort *

The tact segmentation.

Owner: AgsFxNotationAudio

Flags: Read / Write

Since: 3.3.0